Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes
tesseract::Param Class Reference

`#include <params.h>`

Inheritance diagram for tesseract::Param:

List of all members.

## Public Member Functions

| ~Param ()
const char * | name_str () const
const char * | info_str () const
bool | is_init () const
bool | is_debug () const
bool | constraint_ok (SetParamConstraint constraint) const

## Protected Member Functions

| Param (const char *name, const char *comment, bool init)

## Protected Attributes

const char * | name_
const char * | info_
bool | init_
bool | debug_

## Detailed Description

Definition at line 110 of file params.h.

## Constructor & Destructor Documentation

tesseract::Param::~Param | ( |  | ) |

inline

Definition at line 112 of file params.h.

{}

tesseract::Param::Param | ( | const char * | name,
|  | const char * | comment,
|  | bool | init
| ) |  |

inlineprotected

Definition at line 129 of file params.h.

:
name_(name), info_(comment), init_(init) {
debug_ = (strstr(name, "debug") != NULL) || (strstr(name, "display"));
}

## Member Function Documentation

bool tesseract::Param::constraint_ok | ( | SetParamConstraint | constraint | ) | const

inline

Definition at line 118 of file params.h.

{
return (constraint == SET_PARAM_CONSTRAINT_NONE ||
(constraint == SET_PARAM_CONSTRAINT_DEBUG_ONLY &&
this->is_debug()) ||
(constraint == SET_PARAM_CONSTRAINT_NON_DEBUG_ONLY &&
!this->is_debug()) ||
(constraint == SET_PARAM_CONSTRAINT_NON_INIT_ONLY &&
!this->is_init()));
}

const char* tesseract::Param::info_str | ( |  | ) | const

inline

Definition at line 115 of file params.h.

{ return info_; }

bool tesseract::Param::is_debug | ( |  | ) | const

inline

Definition at line 117 of file params.h.

{ return debug_; }

bool tesseract::Param::is_init | ( |  | ) | const

inline

Definition at line 116 of file params.h.

{ return init_; }

const char* tesseract::Param::name_str | ( |  | ) | const

inline

Definition at line 114 of file params.h.

{ return name_; }

## Member Data Documentation

bool tesseract::Param::debug_

protected

Definition at line 137 of file params.h.

const char* tesseract::Param::info_

protected

Definition at line 135 of file params.h.

bool tesseract::Param::init_

protected

Definition at line 136 of file params.h.

const char* tesseract::Param::name_

protected

Definition at line 134 of file params.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/params.h